Installing luasec with luarocks on ubuntu

Came across this error today while trying to install luasec:

Error: Could not find expected file libssl.a, or libssl.so, or libssl.so.* for OPENSSL — you may have to install OPENSSL in your system and/or pass OPENSSL_DIR or OPENSSL_LIBDIR to the luarocks command. Example: luarocks install luasec OPENSSL_DIR=/usr/local

The solution is to find the libssl files

find / -name ‘libssl.*’

and then add the the path using OPENSSL_LIBDIR on the end of the command, e.g:

sudo luarocks install luasec OPENSSL_LIBDIR=/usr/lib/x86_64-linux-gnu/